<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('rules', function (Blueprint $table) {
            $table->unsignedBigInteger('disease_id')->required()->after('code');
            $table->unsignedBigInteger('symptom_id')->required()->after('disease_id');

            $table->foreign('disease_id')->references('id')->on('diseases')->onUpdate('cascade')->onDelete('cascade');
            $table->foreign('symptom_id')->references('id')->on('symptoms')->onUpdate('cascade')->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('rules', function (Blueprint $table) {
            //
        });
    }
};
