@extends('admin.layout.layout')

@section('title', 'Data Penyakit')

@section('content')
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid px-4">
                        <h1 class="mt-4">Data Penyakit</h1>
                        <ol class="breadcrumb mb-4">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active">Data Penyakit</li>
                        </ol>

                        <div class="card mb-4">
                            <div class="card-body">
                                <button type="submit" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#diseaseAdd">
                                    <i class="fa-solid fa-plus"></i> Tambah Penyakit
                                </button>
                            </div>
                        </div>

                        @if ($errors->any())
                            <div class="alert alert-danger">
                                    @foreach ($errors->all() as $error)
                                    <div style="text-align: center" class="alert alert-danger"><strong>{{ $error }}</strong></div>
                                    @endforeach
                            </div>
                        @endif

                        @if (session('success'))
                            <div class="alert alert-success" style="text-align: center">
                                <strong>{{ session('success') }}</strong>
                            </div>
                        @endif

                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-table me-1"></i>
                            </div>
                            <div class="card-body">
                                <table id="datatablesSimple">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Kode</th>
                                            <th>Penyakit</th>
                                            <th>Deskripsi</th>
                                            <th>Penanganan</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($disease as $disease)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $disease->code }}</td>
                                            <td>{{ $disease->name }}</td>
                                            <td>{{ $disease->description }}</td>
                                            <td>{{ $disease->solution }}</td>
                                            <td>
                                                <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#disease{{$disease->id}}">Edit</button>
                                                <form method="post" action="{{ url('diseaseDelete/'.$disease->id) }}" style="display: inline;">
                                                    @csrf
                                                    @method('delete')
                                                    <button type="submit" class="btn btn-danger">Hapus</button>
                                                </form>
                                            </td>
                                        </tr>

                                        <div class="modal fade" id="disease{{$disease->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog modal-xl">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method="post" action="{{ url('diseaseUpdate/'.$disease->id) }}" enctype="multipart/form-data">
                                                            @csrf
                                                            <div class="d-flex justify-content-center mb-3">
                                                                <img src="{{ asset('image_path/'.$disease->image_path) }}" class="img-fluid" width="400px%">
                                                            </div>
                                                        <div class="row">
                                                            <div class="col-3 mb-3">
                                                                <input name="penyakit" class="form-control large-input" type="text" placeholder="Penyakit" value="{{ $disease->name }}" required />
                                                            </div>
                                                            <div class="col-7 mb-3">
                                                                <textarea name="deskripsi" class="form-control large-input" placeholder="Deskripsi" required>{{ $disease->description }}</textarea>
                                                            </div>
                                                            <div class="col-12 mb-3">
                                                                <textarea name="penanganan" class="form-control large-input" type="text" placeholder="Penanganan" required>{{ $disease->solution }}</textarea>
                                                            </div>
                                                            <div class="col-12 mb-3">
                                                                <input name="image_path" class="form-control large-input" type="file" placeholder="Gambar" value="{{ $disease->image_path }}" />
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                        <button type="submit" class="btn btn-primary">Simpan</button>
                                                    </div>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>
                                        @endforeach

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>

                <div class="modal fade" id="diseaseAdd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-xl">
                        <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                        <form method="post" action="{{ route('disease.create') }}" enctype="multipart/form-data">
                            @csrf
                        <div class="row">
                                <div class="col-2 mb-3">
                                    <input name="kodepenyakit" class="form-control large-input" type="text" placeholder="Kode" required/>
                                </div>
                                <div class="col-3 mb-3">
                                    <input name="penyakit" class="form-control large-input" type="text" placeholder="Penyakit" required/>
                                </div>
                                <div class="col-7 mb-3">
                                    <textarea name="deskripsi" class="form-control large-input" placeholder="Deskripsi" required></textarea>
                                </div>
                                <div class="col-12 mb-3">
                                    <textarea name="penanganan" class="form-control large-input" type="text" placeholder="Penanganan" required></textarea>
                                </div>
                                <div class="col-12 mb-3">
                                    <input name="image_path" class="form-control large-input" type="file" placeholder="Gambar" />
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Simpan</button>
                        </div>
                        </form>
                        </div>
                    </div>
                </div>
@endsection
