@extends('admin.layout.layout')

@section('title', 'Data Gejala')

@section('content')
            <div id="layoutSidenav_content">
                <main>
                    <div class="container-fluid px-4">
                        <h1 class="mt-4">Data Gejala</h1>
                        <ol class="breadcrumb mb-4">
                            <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                            <li class="breadcrumb-item active">Data Gejala</li>
                        </ol>
                        <div class="card mb-4">
                            <div class="card-body">
                                <button type="submit" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#symptomAdd">
                                    <i class="fa-solid fa-plus"></i> Tambah Gejala
                                </button>
                            </div>
                        </div>

                        @if ($errors->any())
                            <div class="alert alert-danger">
                                    @foreach ($errors->all() as $error)
                                    <div style="text-align: center" class="alert alert-danger"><strong>{{ $error }}</strong></div>
                                    @endforeach
                            </div>
                        @endif

                        @if (session('success'))
                            <div class="alert alert-success" style="text-align: center">
                                <strong>{{ session('success') }}</strong>
                            </div>
                        @endif

                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-table me-1"></i>
                            </div>
                            <div class="card-body">
                                <table id="datatablesSimple">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Kode</th>
                                            <th>Gejala</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($symptom as $symptom)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $symptom->code }}</td>
                                            <td>{{ $symptom->name }}</td>
                                            <td>
                                                <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#symptom{{$symptom->id}}">Edit</button>
                                                <form method="post" action="{{ url('symptomDelete/'.$symptom->id) }}" style="display: inline;">
                                                    @csrf
                                                    @method('delete')
                                                    <button type="submit" class="btn btn-danger">Hapus</button>
                                                </form>
                                            </td>
                                        </tr>

                                        <div class="modal fade" id="symptom{{$symptom->id}}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-xl">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <form method="post" action="{{ url('symptomUpdate/'.$symptom->id) }}">
                                                        @csrf
                                                    <div class="row">
                                                        <div class="col-2 mb-3">
                                                            <input name="kodegejala" class="form-control large-input" type="text" placeholder="Kode" value="{{ $symptom->code }}" required/>
                                                        </div>
                                                        <div class="col-10 mb-3">
                                                            <textarea name="gejala" class="form-control large-input" placeholder="Gejala" required>{{ $symptom->name }}</textarea>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                                </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>

                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </main>

                <div class="modal fade" id="symptomAdd" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-xl">
                        <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                        <form action="{{ route('symptom.create') }}" method="POST" enctype="multipart/form-data">
                                @csrf
                        <div class="row">
                            <div class="col-2 mb-3">
                                <input name="kodegejala2" class="form-control large-input" type="text" placeholder="Kode" required />
                            </div>
                            <div class="col-10 mb-3">
                                <textarea name="gejala2" class="form-control large-input" placeholder="Gejala" required></textarea>
                            </div>
                        </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                            <button type="submit" class="btn btn-primary">Save changes</button>
                        </div>
                        </form>
                        </div>
                    </div>
                </div>
@endsection
