<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <meta name="description" content="" />
    <meta name="author" content="" />
    <title>Resume - Start Bootstrap Theme</title>
    <link rel="icon" type="image/x-icon" href="assets/img/favicon.ico" />
    <!-- Font Awesome icons (free version)-->
    <script
      src="https://use.fontawesome.com/releases/v6.3.0/js/all.js"
      crossorigin="anonymous"
    ></script>
    <!-- Google fonts-->
    <link
      href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700"
      rel="stylesheet"
      type="text/css"
    />
    <link
      href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i"
      rel="stylesheet"
      type="text/css"
    />
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../../../assets/css/styles3.css" rel="stylesheet" />
  </head>
  <body id="page-top">
    <!-- Navigation-->
    <nav
      class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top"
      id="sideNav"
    >
      <a class="navbar-brand js-scroll-trigger" href="#page-top">
        <span class="d-block d-lg-none">Clarence Taylor</span>
        <span class="d-none d-lg-block"
          >SP VANILI</span>
      </a>
      <button
        class="navbar-toggler"
        type="button"
        data-bs-toggle="collapse"
        data-bs-target="#navbarResponsive"
        aria-controls="navbarResponsive"
        aria-expanded="false"
        aria-label="Toggle navigation"
      >
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#about">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#experience"
              >Diagnosa</a
            >
          </li>
          <li class="nav-item">
            <a class="nav-link js-scroll-trigger" href="#education"
              >Data User</a
            >
          </li>
          <form id="logout-user" action="{{ route('session.destroy') }}" method="post" enctype="multipart form-data">
            @csrf
            <li class="nav-item">
                <a style="cursor: pointer;" class="nav-link js-scroll-trigger" onclick="event.preventDefault(); document.getElementById('logout-user').submit();">Logout</a>
            </li>
          </form>
        </ul>
      </div>
    </nav>
    <!-- Page Content-->
    <div class="container-fluid p-0">
      <!-- About-->
      <section class="resume-section" id="about">
        <div class="resume-section-content">
          <h1 class="mb-0">
            Sistem Pakar Diagnosis
            <span class="text-primary">Penyakit Tanaman Vanili</span>
          </h1>
          <div class="card mb-4" style="width: 650px">
            <div class="card-body">
              <p class="lead mb-2">
                Selamat datang di sistem pakar diagnosa penyakit pada tanaman
                vanili.
              </p>
            </div>
          </div>
        </div>
      </section>
      <hr class="m-0" />
      <section class="resume-section" id="experience">
        <div class="resume-section-content">
          <h2 class="mb-5">Diagnosa</h2>
          <div
            class="d-flex flex-column flex-md-row justify-content-between mb-5"
          >
            <div class="flex-grow-1">
              <div class="card mb-4">
                <div class="card-body">
                  <form method="POST" action="{{ route('diagnose') }}" enctype="multipart/form-data">
                    @csrf
                    <button class="btn btn-warning" type="submit">Diagnosa</button><br /><br />
                  <table class="table table-hover">
                    <thead style="background-color: #f2f2f2">
                      <tr>
                        <th style="padding: 8px; text-align: left">Gejala</th>
                        <th>Pernyataan</th>
                      </tr>
                    </thead>
                    <tbody>
                        @foreach($rules as $rule)
                      <tr>
                        <td>{{ $rule->symptom_name }}</td>
                        <td><input type="checkbox" value="{{ $rule->symptom_id }}" name="G[]"/></td>
                      </tr>
                      @endforeach
                    </tbody>
                  </table>
                  </form>
                </div>
              </div>
            </div>
          </div>
        </div>
      </section>
      <hr class="m-0" />
      <!-- Education-->
      <section class="resume-section" id="education">
        <div class="resume-section-content">
          <h2 class="mb-5">Data user</h2>
            @if (session('success'))
                <div class="alert alert-success" style="text-align: center">
                    <strong>{{ session('success') }}</strong>
                </div>
            @endif

            @if (session('error'))
            <div class="alert alert-danger" style="text-align: center">
                <strong>{{ session('error') }}</strong>
            </div>
            @endif

          <div class="subheading mb-3">
            Nama  :   {{ Auth::user()->nama }}<br>
            Email :   {{ Auth::user()->email }}<br>
            Telp  :   {{ Auth::user()->no_telp }}<br>
            Alamat  :   {{ Auth::user()->alamat }}<br>
          </div>
          <button class="btn btn-warning" data-bs-target="#userData" data-bs-toggle="modal">Update</button>

          <div class="modal fade" id="userData" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                <div class="modal-header">
                    <h1 class="modal-title fs-5" id="exampleModalLabel"></h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form method="post" action="{{ route('userUpdate') }}" enctype="multipart/form-data">
                        @csrf
                    <div class="row">
                        <div class="col-5 mb-3">
                            <input type="text" class="form-control" name="nama" placeholder="Nama" value="{{ Auth::user()->nama }}" required />
                        </div>

                        <div class="col-4 mb-3">
                            <input type="email" class="form-control" name="email" placeholder="email" value="{{ Auth::user()->email }}"  required />
                        </div>

                        <div class="col-3 mb-3">
                            <input type="text" class="form-control" name="no_telp" placeholder="Telp" value="{{ Auth::user()->no_telp }}" required />
                        </div>

                        <div class="col-12 mb-3">
                            <textarea class="form-control" name="alamat" placeholder="Alamat" required>{{ Auth::user()->alamat }}</textarea>
                        </div>
                    </div>
                    <button type="submit" class="btn btn-primary">Simpan</button>
                    </form>
                </div>
                </div>
            </div>
            </div>

        </div>
      </section>
      <hr class="m-0" />
    </div>
    <!-- Bootstrap core JS-->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
    <!-- Core theme JS-->
    <script src="../../../assets/js/scripts3.js"></script>
  </body>
</html>
